## jline
Class CandidateListCompletionHandler

    java.lang.Object
      jline.CandidateListCompletionHandler

All Implemented Interfaces:
  CompletionHandler

public class CandidateListCompletionHandler
extends Object
implements CompletionHandler

A `CompletionHandler` that deals with multiple distinct completions by outputting the complete list of possibilities to the console. This mimics the behavior of the readline library.

Author:
  Marc Prud'hommeaux

Constructor Summary
`CandidateListCompletionHandler()`

Method Summary
`boolean` `complete(ConsoleReader reader, List candidates, int pos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CandidateListCompletionHandler

    public CandidateListCompletionHandler()

Method Detail

### complete

    public boolean complete(ConsoleReader reader,
                            List candidates,
                            int pos)
                     throws IOException

  Specified by:
    `complete` in interface `CompletionHandler`
  Throws:
    `IOException`

Released under the terms of the BSD license